#include <stdio.h>
int median(int n, int glas[]){
	int med=(n/2);
	if(n%2){
		return glas[med];
	}
	int a=glas[med], b=glas[med-1];
	if(a>b) return a;
	return b;
}

int main(){
	int N, Q;
	scanf("%d %d", &N, &Q);
	int glas[N+1];
	int scenario[Q];

	for(int i=0; i<N; i++)
		scanf("%d", &glas[i]);
	
	for(int i=0; i<Q; i++)
		scanf("%d", &scenario[i]);

	for(int i=0; i<Q; i++){
		int count=0;
		glas[N]=scenario[i];
		int tmp=N;
		while(median(tmp,glas)!=scenario[i]){
			count++;
			tmp++;
		}	
		printf("%d\n", count);
	}
	
}